std::arg(std::complex)(3)

NAME
std::arg(std::complex) - std::arg(std::complex)

Synopsis
   Defined in header <complex>
   template< class T > (1)
   T arg( const complex<T>& z );
   long double arg( long double z ); (2) (since C++11)
   template< class DoubleOrInteger > (3) (since C++11)
   double arg( DoubleOrInteger z );
   float arg( float z ); (4) (since C++11)
   Calculates the phase angle (in radians) of the complex number z
   Additional overloads are provided for float, double, long double, and
   all integer types, which are treated as complex numbers with zero (since C++11)
   imaginary component.

Parameters
   z - complex value

Return value
   If no errors occur, returns the phase angle of z in the interval [−π; π].
   Errors and special cases are handled as if the function is implemented as
   std::atan2(std::imag(z), std::real(z)).

Example
// Run this code
 #include <iostream>
 #include <complex>
 int main()
 {
     std::complex<double> z1(1, 0);
     std::cout << "phase angle of " << z1 << " is " << std::arg(z1) << '\n';
     std::complex<double> z2(0, 1);
     std::cout << "phase angle of " << z2 << " is " << std::arg(z2) << '\n';
     std::complex<double> z3(-1, 0);
     std::cout << "phase angle of " << z3 << " is " << std::arg(z3) << '\n';
     std::complex<double> z4(-1, -0.0);
     std::cout << "phase angle of " << z4 << " (the other side of the cut) is "
               << std::arg(z4) << '\n';
 }

Output:
 phase angle of (1,0) is 0
 phase angle of (0,1) is 1.5708
 phase angle of (-1,0) is 3.14159
 phase angle of (-1,-0) (the other side of the cut) is -3.14159

See also
   abs(std::complex) returns the magnitude of a complex number
                        (function template)
   polar constructs a complex number from magnitude and phase angle
                        (function template)
   atan2
   atan2f arc tangent, using signs to determine quadrants
   atan2l (function)
   (C++11)
   (C++11)
   atan2(std::valarray) applies the function std::atan2 to a valarray and a value
                        (function template)